Telegram APIPayments
payments.sendPaymentForm
Send compiled payment form
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
workspaceId*string
Workspace ID
accountId*string
Telegram account ID
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
params*
Send compiled payment form
Response Body
application/json
application/json
curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/payments.sendPaymentForm" \ -H "Content-Type: application/json" \ -d '{ "params": { "formId": "string", "invoice": { "_": "inputInvoiceMessage", "peer": { "_": "inputPeerEmpty" }, "msgId": 0 }, "credentials": { "_": "inputPaymentCredentialsSaved", "id": "string", "tmpPassword": "string" } } }'{ "result": { "_": "payments.paymentResult", "updates": { "_": "updatesTooLong" } }}saveStarGift
Display or remove a [received or hosted gift »](https://core.telegram.org/api/gifts#hosted-collectible-gifts) from our profile.
sendStarGiftOffer
Send an offer to purchase a [collectible gift »](https://core.telegram.org/api/gifts#collectible-gift-purchase-offers), see [here »](https://core.telegram.org/api/gifts#collectible-gift-purchase-offers) for the full flow.